// Read COPYING for licensing details.

#include <FL/ilu.h>

void
iluGetEvent(ILenum cap, ILint params[3])
{
	switch(cap)
	{
		case IL_JOYSTICK_BIT:
			ilGetIntegerv(IL_JOYSTICK_EVENT_TYPE, &(params[0]));
			ilGetIntegerv(IL_JOYSTICK_EVENT_CODE, &(params[1]));
			ilGetIntegerv(IL_JOYSTICK_EVENT_VALUE, &(params[2]));
			break;
		case IL_MOUSE_BIT:
			ilGetIntegerv(IL_MOUSE_EVENT_TYPE, &(params[0]));
			ilGetIntegerv(IL_MOUSE_EVENT_CODE, &(params[1]));
			ilGetIntegerv(IL_MOUSE_EVENT_VALUE, &(params[2]));
			break;
		case IL_KEYBOARD_BIT:
			ilGetIntegerv(IL_KEYBOARD_EVENT_TYPE, &(params[0]));
			ilGetIntegerv(IL_KEYBOARD_EVENT_CODE, &(params[1]));
			ilGetIntegerv(IL_KEYBOARD_EVENT_VALUE, &(params[2]));
			break;
		default: break;
	}
}

ILboolean
iluIsEvent(ILint params[3], ILenum type, ILenum code, ILenum value)
{
	return ((params[0] == type) && (params[1] == code) && (params[2] == value));
}
