// Read COPYING for licensing details.

#include <FL/ilu.h>
#include <stdio.h>
#include <stdlib.h>

int
main(int argc, char *argv[])
{
	ilOpen(IL_KEYBOARD_BIT);
	ILboolean loop = IL_TRUE;
	while(loop)
	{
		ilRead(IL_KEYBOARD_BIT);
		if(ilEvent(IL_KEYBOARD_BIT))
		{
			ILint params[3];
			iluGetEvent(IL_KEYBOARD_BIT, params);
			printf("%6i %6i %6i\r", params[0], params[1], params[2]);
			fflush(stdout);
			if(iluIsEvent(params, IL_EVENT_TYPE_KEY, IL_EVENT_CODE_KEY_ESC, 1))
				loop = IL_FALSE;
		}
	}
	ilClose(IL_KEYBOARD_BIT);
	return EXIT_SUCCESS;
}
