// Read COPYING for licensing details.

#ifndef _FIL_LINUX_
#define _FIL_LINUX_

#include <linux/input.h>

enum {
	IL_EVENT_TYPE_REL = EV_REL,
	IL_EVENT_TYPE_ABS = EV_ABS,
	IL_EVENT_TYPE_KEY = EV_KEY,

	IL_EVENT_CODE_REL_X = REL_X,
	IL_EVENT_CODE_REL_Y = REL_Y,
	IL_EVENT_CODE_REL_WHEEL = REL_WHEEL,

	IL_EVENT_CODE_ABS_X = ABS_X,
	IL_EVENT_CODE_ABS_Y = ABS_Y,
	IL_EVENT_CODE_ABS_X2 = ABS_THROTTLE,
	IL_EVENT_CODE_ABS_Y2 = ABS_RUDDER,
	
	/* mouse keys */
	IL_EVENT_CODE_BTN_LEFT = BTN_LEFT,
	IL_EVENT_CODE_BTN_MIDDLE = BTN_MIDDLE,
	IL_EVENT_CODE_BTN_RIGHT = BTN_RIGHT,

	/* joystick keys */
	IL_EVENT_CODE_BTN_A = BTN_TRIGGER,
	IL_EVENT_CODE_BTN_B = BTN_THUMB,
	IL_EVENT_CODE_BTN_C = BTN_TOP,
	IL_EVENT_CODE_BTN_D = BTN_TOP2,

	/* keyboard keys */
	IL_EVENT_CODE_KEY_ESC = KEY_ESC
};

#endif
